Page MenuHomePhabricator

Standard pre-echo "you have new messages" bar is not displayed
Closed, ResolvedPublic

Description

On wikis without Echo or for anonymous users, the "You have new messages" bar (aka [[m:OBOD]]) is not displayed if the user has unread messages on their talk page.


Version: unspecified
Severity: enhancement

Details

Reference
bz56834

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:24 AM
bzimport set Reference to bz56834.
Legoktm created this task.Nov 9 2013, 8:59 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1388

please use the enhancement tag for things which are feature requests.

That aside there given a mobile screen is small and echo is already very prominent an orange bar of death seems like overkill and a WONTFIX in my opinion.

(In reply to comment #2)

please use the enhancement tag for things which are feature requests.

I'll do that in the future, sorry.

That aside there given a mobile screen is small and echo is already very
prominent an orange bar of death seems like overkill and a WONTFIX in my
opinion.

I don't think it needs to look like the OBOD, just that some kind of indicator that you have new messages should be there, and then a link to Special:MobileDiff of your talk page.

For third party wikis that may choose to not use Echo or anonymous users browsing, this seems like a useful feature.

(In reply to comment #4)

This is as designe.

Uh? Can you clarify? I assume the design is not "unregistered editors will not be contactable in wiki ways"?

Unless i'm misunderstanding what you mean, these notifications are delivered via echo.

(In reply to comment #6)

Unless i'm misunderstanding what you mean, these notifications are delivered
via echo.

As mentioned in comment 0, anonymous users don't get echo (bug 56828).

There are also wikis that use MobileFrontend, but not Echo - Uncyclopedia (http://en.uncyclopedia.co/wiki/Main_Page) is a good example.

Someone from the dev team will have to weigh in on it, but it seems like if you don't have echo, then previous notifications should work, however if that notification type was never working on mobile before then it would be a new feature request.

As far as who would develop this, I don't know that the WMF mobile dev team would have this on their roadmap given that its basically been deprecated in favor of echo notifications. A community developer might want to take it on for sites that use MobileFrontend but not echo, I'd suggest a requirement as part of the work that if echo is enabled this feature disables itself so that users don't receive duplicate notifications.

I would question rather it makes sense to spend time developing this legacy feature further rather than rolling out echo on sites that don't currently support it.

(In reply to comment #8)

Someone from the dev team will have to weigh in on it, but it seems like if
you
don't have echo, then previous notifications should work

Thanks. Reopening accordingly.

As for priority, I'll let the team set it; "Lowest" is often an indicator of very good and satisfactory projects for volunteers, so feel free to use it for this report.

This still makes sense to do as while on WMF mobile users have to be logged in to do anything that might result in them receiving messages, this might not be the case for third-party wikis. Gotta do this on my research time if nobody else tackles this.

After talking with Jared and thinking carefully about this, it seems a better solution would be to ensure a form of Echo is merged into core. This is out of the scope for the mobile team. We should not be supporting legacy features.

This is not about supporting legacy features, it's about not introducing regressions.

It's not a regression though - mobile has NEVER had the orange bar of death...

What did mobile have before Echo? Nothing?

Correct. We don't even have talk pages on mobile yet remember :)

(In reply to comment #11)

After talking with Jared and thinking carefully about this, it seems a better
solution would be to ensure a form of Echo is merged into core. This is out
of
the scope for the mobile team. We should not be supporting legacy features.

Re-opening this. There are no plans to merge Echo into core, nor should Echo be merged into core in it's current state. The standard (not former) new messages indicator is not a *legacy* feature, it's what nearly every wiki uses.

This is a request to show some kind of indicator for wikis that don't have echo installed or for anonymous users. WONTFIXing is only appropriate if you believe that this feature should not live in MF, which I can't think any reason for. MaxSem has already offered to look into this when he has time, setting lowest priority accordingly.

I'm curious to on what basic you think Echo should not be merged into core (whether there are plans or not it should be the long term plan).

I still struggle, despite endless talk page discussions, to see how a legacy orange bar of death from back in the 90s is better than Echo.

MobileFrontend is a futuristic home for shiny things from the future and shouldn't house things like this. So why can't this be a WONTFIX..?

Also I have wasted way too much time reporting on this bug now.

(In reply to comment #17)

I still struggle, despite endless talk page discussions, to see how a legacy
orange bar of death from back in the 90s is better than Echo.

Because it's a single hammer that's historically been used with every nail. Regardless of whether a new message is WikiProject spam ("come to wikimeetup 103!") or an urgent block notice ("you've been indefinitely blocked for harassment"), it uses the same notification (the orange bar of doom). It's not a particularly smart design, but inertia is cruel.

MobileFrontend is a futuristic home for shiny things from the future and
shouldn't house things like this.

I'm not sure this is the purpose of MobileFrontend, but that discussion is outside the scope of this bug report. (As is a discussion about whether the Echo extension should be part of MediaWiki core.)

If anonymous users can't receive messages, that's a blocker to enabling anonymous editing. That's a real issue.

Change 138229 had a related patch set uploaded by Florianschmidtwelzow:
Enable Legacy view of new messages on talk page

https://gerrit.wikimedia.org/r/138229

Change 138229 merged by jenkins-bot:
Enable View of "new messages on talk page" without Echo

https://gerrit.wikimedia.org/r/138229

Nemo_bis set Security to None.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 8 2015, 6:55 AM